Forum

Playonlinux ne démarre pas ?

Författare Svar
Jump to the page: 1 - 2
nataru Friday 27 August 2010 at 20:10
nataruAnonymous

Bonjour,

J'ai eu l'agréable surprise cette après midi, que l'on pouvais jouer a guild wars sur linux grâce à Playonlinux. J'ai donc installé Playonlinux en tapant la commande habituel classique
sudo apt-get install playonlinuxLe programme c'est bien installé, et ensuite j'ai essayé de le démarrer sans succès.

Je suis aller voir des tutoriaux sur internet pour savoir si javais fait une bêtise, j'ai même réinstaller avec le packet du site, mais sans succès.

J'ai essayé de le démarrer par la console bien évidement, mais il ne m'inscrit que sa :

nataru@nataru-laptop:~$ playonlinux
PlayOnLinux v3.8


Aucune erreur affiché :sad: je voie pas d'ou le problème peut venir.

Quelqu'un a t-il déjà rencontré ce problème ?

Version Linux : Ubuntu 10.04
Environement graphique : GNOME
Version de Wine : wine-1.1.42
Version de Playonlinux : 3.8


------------------------------------------------------------------------------------------
Edit :

J'ai essayer de changer les versions de Wine avec la 1.2 et la 1.3, mais toujours le même résultat :sad:

Personne n'a une idée d'où le problème peut venir ?

Ändrat av nataru

BlondVador Saturday 28 August 2010 at 11:58
BlondVador
Moderator

Bonjour,

Au moins, on sait que l'installation s'est bien déroulée puisque PlayOnLinux démarre bien. Patiente un petit moment, pour peu que tu aies une config' un peu faible. Tu verras la fenêtre POL s'afficher après un petit moment.

nataru Saturday 28 August 2010 at 12:07
nataruAnonymous

D'accord, je vais essayer sa, ont sait jamais.

Mais le PC est neuf ( Dell Studio 17, avec 4Go de RAM et intel core i5 ) dans la liste des processus, les 2 playonlinux sont en "Do_wait".
Le problème peut venir du fait que c'est un 64bits ?
BlondVador Saturday 28 August 2010 at 12:18
BlondVador
Moderator

Oui, donc POL devrait normalement fonctionner...

Avec ta config', devrait pas y avoir de soucis donc ça vient pas de là. Normalement POL 64 bits fonctionne très bien.

Je ne vois pas d'où peut venir le problème vraiment...

Après, si tu as du temps et de la motivation, je te conseil de passer sur une distro 32 bits. Bien que le 64 bits se soit énormément amélioré depuis quelques années, je trouve qu'il y a encore quelques soucis avec Wine. Pour commencer dans le monde de linux, il vaut mieux y aller en douceur avec du 32 bits, ça évite quelques erreurs et quelques problèmes de dépendances.

Ändrat av BlondVador


nataru Saturday 28 August 2010 at 12:50
nataruAnonymous

Bon ba je vais faire sa alors, je vais installer la 32, et je vous tien au courant de l'avancement. Et j'espère que sa va régler le problème ^_^
Je te remercie pour ton aide !

-----------------------------------------------------------------------------

Edit :

J'ai installé la distro 32bits, et tout marche bien !!
Merci encore !!

Ändrat av nataru

BlondVador Saturday 28 August 2010 at 23:34
BlondVador
Moderator

De rien.

Et bienvenue dans le monde de linux =).

Sasomo Friday 1 October 2010 at 21:37
SasomoAnonymous

Bonjour,
Je me permet de remonter ce sujet car je viens d'installer PlayOnLinux via ce site et quand je le lance, rien ne se passe, quand je le lance via la console, voici ce qu'il m'affiche :

PlayOnLinux v3.8.3

Traceback (most recent call last):
File "/usr/share/playonlinux/python/message.py", line 23, in <module>
import wx
File "/usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode/wx/__init__.py", line 45, in <module>
from wx._core import *
File "/usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 4, in <module>
import _core_
ImportError: /usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode/wx/_core_.so: symbol _ZN12wxSizerFlags24ReserveSpaceEvenIfHiddenEv, version WXU_2.8.8 not defined in file libwx_gtk2u_core-2.8.so.0 with link time reference

Que faire? Merci d'avance pour votre aide!
GNU_Raziel Saturday 2 October 2010 at 2:12
GNU_Raziel

C'est simple, il te manque des dépendances...

Dans la mesure du possible, mieux vaut utiliser le dépôt associé a ta distribution Linux plutôt que le le paquet générique du site.

Des dépôts sont disponible pour la plupart des distributions Linux connues, c'est simple et rapide donc ne t'en prive pas :)

Si tu as installé POL depuis un dépôt et que tu as tjrs cette erreur, vérifie que l'installation c'est bien passée et que toutes les dépendances sont satisfaites.
Sasomo Saturday 2 October 2010 at 9:35
SasomoAnonymous

Bonjour,
J'ai refait l'installation via le dépôt officiel et maintenant quand je tape playonlinuxil ne se passe rien...

C'est vraiment rageant surtout que je commence à ne plus pouvoir me passer de SimCity4.

Bonne journée et merci pour vos réponses.
BlondVador Sunday 3 October 2010 at 8:09
BlondVador
Moderator

Tu ne serais pas sur une distribution 64 bits par hasard ?

Sasomo Sunday 3 October 2010 at 11:26
SasomoAnonymous

Non il ne me semble pas. Que cela changerait-il?
BlondVador Sunday 3 October 2010 at 13:53
BlondVador
Moderator

Tape uname -a dans un terminale pour le savoir et copie-colle ici ce que ça te renvoie.

En théorie, ça ne change pas grand chose mais j'ai vu que certaines personnes avaient des problèmes sur des distros 64 bits avec POL.

Sasomo Sunday 3 October 2010 at 18:51
SasomoAnonymous

Si je comprends bien j'ai donc une distribution 32 :
Linux lionel 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:10:02 UTC 2010 i686 GNU/Linux
Voila...
BlondVador Sunday 3 October 2010 at 20:06
BlondVador
Moderator

Normalement ça devrait fonctionner...

Ca ne te renvoie rien lorsque tu lances POL via un terminal ?

Sasomo Monday 4 October 2010 at 18:51
SasomoAnonymous

Exact, voila pour preuve :
Berillions Tuesday 5 October 2010 at 22:06
Berillions

Vu que tu es sur Ubuntu, peux-tu faire cette commande dans une console :
apt-cache policy python-wxgtk2.8
Si ce n'est pas installé, installe le et il y aura d'autres paquets d'installés. Cela devrait résoudre le problème.

Ändrat av Berillions


Sasomo Wednesday 6 October 2010 at 21:08
SasomoAnonymous

Bonsoir,
il a l'air installé :
python-wxgtk2.8:
Installé : 2.8.10.1-0ubuntu1.2
Candidat : 2.8.10.1-0ubuntu1.2
Table de version :
*** 2.8.10.1-0ubuntu1.2 0
500 http://ch.archive.ubuntu.com/ubuntu/ lucid-updates/universe Packages
100 /var/lib/dpkg/status
2.8.10.1-0ubuntu1 0
500 http://ch.archive.ubuntu.com/ubuntu/ lucid/universe Packages

Merci encore de votre aide! Bonne soirée
Sasomo Tuesday 26 October 2010 at 10:22
SasomoAnonymous

Bonjour, toujours pas de réponse à mon problème?
Aymeric P. Tuesday 26 October 2010 at 18:47
Aymeric P.
Admin

Salut,
Est ce que playonlinux --version te retourne quelque chose ?

Former member.
Tutul Wednesday 24 November 2010 at 8:47
Tutul
Moderator

Coucou, moi j'ai un problème similaire (POL ne démarre pas et playonlinux --version n'affiche rien du tout).
HELP !!! :sad:

Gentils modérateur dans mes bon jours - Attention, à tenir hors de portée des enfants. En cas de contact, veuillez immédiatement rincer à l'eau clair. Peut provoquer des sueurs froide !